using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace sudarbrojeva
{
    class Program
    {
        static int countDigit(int n)
        {
            int count = 0;
            while (n != 0)
            {
                n = n / 10;
                ++count;
            }
            return count;
        }
        public static string obrni(string str)
        {
            char[] chars = new char[str.Length];
            for (int i = 0, j = str.Length - 1; i <= j; i++, j--)
            {
                chars[i] = str[j];
                chars[j] = str[i];
            }
            return new string(chars);
        }
        static void Main(string[] args)
        {
            int x, y,konacanbroj,xbrc,ybrc;
            string broj1=String.Empty;
            string broj2;
            x = Convert.ToInt32(Console.ReadLine());
            y= Convert.ToInt32(Console.ReadLine());
           if(x<10 && y<10)
            {
                if (x > y) Console.WriteLine(x);
                else Console.WriteLine(y);
            }
            xbrc = countDigit(x);
            ybrc = countDigit(y);
            if(xbrc==ybrc)
            {
                for (int i = xbrc; i > 0; i--)
                {
                    int xc = x%10;
                    int yc = y%10;
                    if (xc > yc) { broj2 = Convert.ToString(xc); broj1 = broj1 + broj2; }
                    else if (yc > xc) { broj2 = Convert.ToString(yc); broj1 = broj1 + broj2; }
                    else { broj2 = Convert.ToString(xc) + Convert.ToString(yc); broj1 = broj1 + broj2; }
                    x = x / 10;
                    y = y / 10;
                }
            }
            else if(xbrc>ybrc)
            {
                int razlika = xbrc - ybrc;
                for (int i = razlika; i <xbrc; i++)
                {
                    int xc = x % 10;
                    int yc = y % 10;
                    if (xc > yc) { broj2 = Convert.ToString(xc); broj1 = broj1 + broj2; }
                    else if (yc > xc) { broj2 = Convert.ToString(yc); broj1 = broj1 + broj2; }
                    else { broj2 = Convert.ToString(xc) + Convert.ToString(yc); broj1 = broj1 + broj2; }
                    x = x / 10;
                    y = y / 10;
                }
                while(x!=0)
                {
                    int xc = x;
                    xc = xc % 10;
                    string s = Convert.ToString(xc);
                    broj1 = broj1 + s;
                    x = x / 10;
                }
            }
            else 
            {
                int razlika = ybrc - xbrc;
                for (int i = razlika; i <ybrc; i++)
                {
                    int xc = x % 10;
                    int yc = y % 10;
                    if (xc > yc) { broj2 = Convert.ToString(xc); broj1 = broj1 + broj2; }
                    else if (yc > xc) { broj2 = Convert.ToString(yc); broj1 = broj1 + broj2; }
                    else { broj2 = Convert.ToString(xc) + Convert.ToString(yc); broj1 = broj1 + broj2; }
                    x = x / 10;
                    y = y / 10;
                }
                while(y!=0)
                {
                    int yc = y % 10;
                    string s = Convert.ToString(yc);
                    broj1 = broj1 + s;
                    y = y / 10;
                }
            }
            broj1 = obrni(broj1);
            konacanbroj = Convert.ToInt32(broj1);
            Console.WriteLine(konacanbroj);
        }
    }
}